package com.develou.p5_preferencias_con_preferencedatastore.preference

import android.content.Context
import androidx.core.content.edit
import com.develou.p5_preferencias_con_preferencedatastore.BuildConfig

class AppPreferences(context: Context) {

    private val preferences = context.applicationContext
        .getSharedPreferences(BuildConfig.APPLICATION_ID, 0)

    fun saveUser(userId: Int) {
        preferences.edit {
            putInt("user_id", userId)
        }
    }

    fun getUser(): Int {
        return preferences.getInt("user_id", 1)
    }
}