package com.develou.p4_preferencias_con_sharedpreferences

import android.os.Bundle
import android.view.MenuItem
import androidx.preference.PreferenceFragmentCompat

class HelpSettingsFragment : PreferenceFragmentCompat() {

    override fun onCreatePreferences(savedInstanceState: Bundle?, rootKey: String?) {
        setPreferencesFromResource(R.xml.help_preferences, rootKey)
        setHasOptionsMenu(true)
    }

    override fun onOptionsItemSelected(item: MenuItem): Boolean {
        if(android.R.id.home == item.itemId){
            requireActivity().setTitle(R.string.settings)
            requireActivity().onBackPressed()
            return true
        }
        return super.onOptionsItemSelected(item)
    }
}