package com.develou.p5_preferencias_con_preferencedatastore

import android.app.Application
import com.develou.p5_preferencias_con_preferencedatastore.preference.AppPreferences
import com.develou.p5_preferencias_con_preferencedatastore.preference.SettingsDataStore
import com.develou.p5_preferencias_con_preferencedatastore.room.SettingsDatabase

class SettingsApplication : Application() {
    val database by lazy { SettingsDatabase.getInstance(this) }
    val appPrefs by lazy { AppPreferences(this) }
    val settingsDataStore by lazy { SettingsDataStore(database, appPrefs) }
}