package com.develou.p5_preferencias_con_preferencedatastore.room.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import com.develou.p5_preferencias_con_preferencedatastore.room.entity.Setting

@Dao
interface SettingDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(setting: Setting)

    @Query("SELECT setting_id FROM setting WHERE name =:key")
    suspend fun getSettingId(key:String): Int?
}